
Pre-Development - Feature #19146

FE - React - TopNavbar - Prompt confirmation before the language change

12 December 2023 02:05 PM - chok yee fan

Status: Closed Start date: 12 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

------

When modify or adding record, if change the language will reload the data/page cause data enter will be lose.

expected

------

At the topnavbar prompt alert confirmation with the message. Click ok only change the value, cancel just stay.

en - "Data will be reload, are you sure?"

bm - "Data akan dimuat semula, adakah anda pasti?"

History

#1 - 13 December 2023 01:33 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

- % Done changed from 0 to 100

#19146: window confirmation before changing language

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/be81503c634d08b456e2d1a75747622bf2f0f86b

#2 - 18 December 2023 11:19 AM - chok yee fan

- Status changed from Resolved to Closed

tested working

Powered by TCPDF (www.tcpdf.org)

20 April 2025 1/1

https://dev.silverlakemobility.com/redmine/issues/19146
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/be81503c634d08b456e2d1a75747622bf2f0f86b
http://www.tcpdf.org

